package com.quantgroup.asset.distribution.service.route;

import com.quantgroup.asset.distribution.model.entity.route.channelroute.ChannelConfigInfoVo;
import com.quantgroup.asset.distribution.model.entity.route.channelroute.ChannelRouteQueryVo;
import com.quantgroup.asset.distribution.model.entity.route.channelroute.ChannelRouteSaveVo;
import com.quantgroup.asset.distribution.model.entity.route.channelroute.FundProInfoVo;
import com.quantgroup.asset.distribution.model.response.GlobalResponse;
import com.quantgroup.asset.distribution.util.AllRecords;

import java.util.List;

public interface IChannelRouteService {

    AllRecords queryPage(ChannelRouteQueryVo channelRouteQueryVo);

    List<Long> queryConfigChannelIds();

    GlobalResponse queryConfigChannelInfo(Long channelId);

    List<Long> getFundIds();

    List<Long> getFundCorpIdByFundId(Long fundId);

    FundProInfoVo getFundProductInfo(Long fundId, Long fundCorpId);

    GlobalResponse addChannelConfig(List<ChannelRouteSaveVo> channelRouteSaveVoList,Integer type);

    void publishChannelConfig(Long channelId);

    void updateChannelConfig(Long channelId);
}
